> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Automated Job

> Get an automated job by `job_id`.



## OpenAPI

````yaml get /jobs/automated/{job_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /jobs/automated/{job_id}:
    parameters:
      - schema:
          type: string
        name: job_id
        in: path
        required: true
    get:
      tags:
        - Management
      summary: Retrieve an Automated Job
      description: Get an automated job by `job_id`.
      operationId: get-jobs-job_id
      parameters:
        - $ref: '#/components/parameters/API-Version'
        - $ref: '#/components/parameters/Content-Type'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomatedAsyncJob'
              examples:
                Example 1:
                  value:
                    job_id: 453bd7d7-5355-4d6d-a38e-d9e7eb218c3f
                    job_url: >-
                      https://api.tryfinch.com/job/automated/453bd7d7-5355-4d6d-a38e-d9e7eb218c3f
                    type: data_sync_all
                    status: complete
                    created_at: '2019-08-24T14:15:22Z'
                    scheduled_at: '2019-08-24T14:15:22Z'
                    started_at: '2019-08-24T14:15:22Z'
                    completed_at: '2019-08-24T14:15:22Z'
                Example 2:
                  value:
                    job_id: 453bd7d7-5355-4d6d-a38e-d9e7eb218c3f
                    job_url: >-
                      https://api.tryfinch.com/job/automated/453bd7d7-5355-4d6d-a38e-d9e7eb218c3f
                    type: w4_form_employee_sync
                    status: pending
                    created_at: '2019-08-24T14:15:22Z'
                    scheduled_at: '2019-08-24T14:15:22Z'
                    params:
                      individual_id: '12345'
        '404':
          description: Not Found
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            const automatedAsyncJob = await
            client.jobs.automated.retrieve('job_id');


            console.log(automatedAsyncJob.job_id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            automated_async_job = client.jobs.automated.retrieve(
                "job_id",
            )
            print(automated_async_job.job_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tautomatedAsyncJob, err := client.Jobs.Automated.Get(context.TODO(), \"job_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", automatedAsyncJob.JobID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.AutomatedAsyncJob;
            import com.tryfinch.api.models.JobAutomatedRetrieveParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    AutomatedAsyncJob automatedAsyncJob = client.jobs().automated().retrieve("job_id");
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.AutomatedAsyncJob
            import com.tryfinch.api.models.JobAutomatedRetrieveParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val automatedAsyncJob: AutomatedAsyncJob = client.jobs().automated().retrieve("job_id")
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            automated_async_job = finch.jobs.automated.retrieve("job_id")

            puts(automated_async_job)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        default: application/json
      description: 'Used to indicate the original media type of the resource '
  schemas:
    AutomatedAsyncJob:
      title: AutomatedAsyncJob
      type: object
      properties:
        job_id:
          type: string
          description: The id of the job that has been created.
          format: uuid
        job_url:
          type: string
          description: The url that can be used to retrieve the job status
        type:
          type: string
          description: The type of automated job
          enum:
            - data_sync_all
            - w4_form_employee_sync
        status:
          type: string
          enum:
            - pending
            - in_progress
            - complete
            - error
            - reauth_error
            - permissions_error
        created_at:
          type: string
          format: date-time
          description: >-
            The datetime when the job was created. for scheduled jobs, this will
            be the initial connection time. For ad-hoc jobs, this will be the
            time the creation request was received.
        scheduled_at:
          type: string
          format: date-time
          description: >-
            The datetime a job is scheduled to be run. For scheduled jobs, this
            datetime can be in the future if the job has not yet been enqueued.
            For ad-hoc jobs, this field will be null.
          nullable: true
        started_at:
          type: string
          format: date-time
          description: The datetime a job entered into the job queue.
          nullable: true
        completed_at:
          type: string
          format: date-time
          description: The datetime the job completed.
          nullable: true
        params:
          type: object
          description: The input parameters for the job.
          nullable: true
          properties:
            individual_id:
              type: string
              description: The ID of the individual that the job was completed for.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````